Loading...
Searching...
No Matches
machine.h File Reference
`#include <boost/iostreams/device/file_descriptor.hpp>`
`#include <boost/iostreams/stream.hpp>`
`#include "jsonrpc_methods.h"`

Go to the source code of this file.

## Classes

class | gx_engine::bank_iterator
class | gx_engine::GxMachineBase
class | gx_engine::GxMachine
class | gx_engine::GxMachineRemote

## Namespaces

namespace | gx_gui
namespace | gx_engine

## Macros

#define | SRC_HEADERS_MACHINE_H_

## Typedefs

typedef map< string, set< void * > > | gx_engine::output_listen_map

## Enumerations

enum | PluginType { PLUGIN_TYPE_MONO , PLUGIN_TYPE_STEREO }

## Macro Definition Documentation

## SRC_HEADERS_MACHINE_H_

#define SRC_HEADERS_MACHINE_H_

Definition at line 22 of file machine.h.

## Enumeration Type Documentation

## PluginType

enum PluginType

Enumerator
PLUGIN_TYPE_MONO |
PLUGIN_TYPE_STEREO |

Definition at line 38 of file machine.h.